<?php
 namespace TCMS;
 use Exception;
 class TException extends Exception {
 public function __construct($message, $errorCode = 404) {
 parent::__construct($message, $errorCode, null);
 }
 public function __toString() {
 return "TException: [{$this->code}
]: {$this->message}
\n\nStack Trace:\n" . $this->getTraceAsString();
 }
 }
 ?>